Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IBrepGraphicGL

    java.lang.Object
      igeo.IGraphicObject
          igeo.gui.IBrepGraphicGL

All Implemented Interfaces:
  IGraphicI, ISubobject

    public class IBrepGraphicGL

extends IGraphicObject

Graphic subobject class to draw a surface object by OpenGL. It contains ISurfaceGraphicFillGL and ISurfaceGraphicWireframeGL inside.

Author:
  Satoru Sugihara

Field Summary
`ISurfaceGraphicGL[]` | `surfaceGraphics`

Fields inherited from class igeo.IGraphicObject
`color, colorRange1f, colorRange1i, colorRange2f, colorRange2i, colorRange3f, colorRange3i, colorRange4f, colorRange4i, parent, update, visible`

Constructor Summary
`IBrepGraphicGL(IBrep brep)`

Method Summary
`void` | `draw(IGraphics g)`
`void` | `hide()`
`boolean` | `isDrawable(IGraphicMode m)`
`void` | `setAttribute(IAttribute attr)`
`void` | `setColor(IColor c)`
`void` | `show()`

Methods inherited from class igeo.IGraphicObject
`getAWTColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, getWeight, isVisible, parent, parent, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setVisible, setWeight, update, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### surfaceGraphics

    public ISurfaceGraphicGL[] surfaceGraphics

Constructor Detail

### IBrepGraphicGL

    public IBrepGraphicGL(IBrep brep)

Method Detail

### setColor

    public void setColor(IColor c)

  Overrides:
    `setColor` in class `IGraphicObject`

### setAttribute

    public void setAttribute(IAttribute attr)

  Overrides:
    `setAttribute` in class `IGraphicObject`

### isDrawable

    public boolean isDrawable(IGraphicMode m)

  Specified by:
    `isDrawable` in interface `IGraphicI`
  Specified by:
    `isDrawable` in class `IGraphicObject`

### draw

    public void draw(IGraphics g)

  Specified by:
    `draw` in interface `IGraphicI`
  Specified by:
    `draw` in class `IGraphicObject`

### hide

    public void hide()

  Overrides:
    `hide` in class `IGraphicObject`

### show

    public void show()

  Overrides:
    `show` in class `IGraphicObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD